package com.persagy.account.mapper;

import java.util.List;
import java.util.Set;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.account.pojo.dto.SaasAccount;

/**
 * 账号信息
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Mapper
public interface SaasAccountMapper extends BaseMapper<SaasAccount> {

	/**
	 * 获取账号列表，此方法会关联出集团名称信息
	 * 
	 * @param saasAccount
	 * @param startRow
	 * @param size
	 * @return
	 */
	List<SaasAccount> queryAccountGroupList(@Param("account") SaasAccount saasAccount, @Param("startRow") int startRow, @Param("size") int size);

	/**
     * 根据角色ID获取账号信息
     * 
     * @param saasAccount
     * @param roleId
     * @return
     */
	List<SaasAccount> queryRoleAccountList(@Param("account") SaasAccount saasAccount, @Param("roleIds") Set<String> roleIds, 
			@Param("startRow") Integer startRow, @Param("size") Integer size);

	/**
     * 根据角色ID获取账号信息时，分页查询总数统计
     * 
     * @param saasAccount
     * @param roleId
     * @return
     */
	Integer countRoleAccountList(@Param("account") SaasAccount saasAccount, @Param("roleIds") Set<String> roleIds);

}
