package com.persagy.account.pojo.vo.auth;

import java.util.List;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;

import com.persagy.common.model.BaseUserModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 角色-菜单功能关联信息
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Getter
@Setter
@ApiModel
@ToString
public class AccountAreaProjectResetVO extends BaseUserModel {

	//@NotEmpty(message = "区域集合，不可为空")
	@ApiModelProperty(value = "区域集合，作为SQL条件", required = true, example = "RC")
	private List<AccountAreaResetVO> areas; 	// 区域集合
	
	@Valid
	@NotEmpty(message = "项目集合，不可为空")
	@ApiModelProperty(value = "项目集合，作为SQL条件", required = true, example = "RC")
	private List<AccountProjectResetVO> projects; 	// 项目集合
	
}
