package com.persagy.account.pojo.vo.function;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import com.persagy.common.model.BaseUserModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 菜单信息
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Getter
@Setter
@ToString
@ApiModel
public class SaasFunctionCreateVO extends BaseUserModel {

	@ApiModelProperty(value = "功能ID，更新时不可为空", example = "123")
	private String id; // 功能ID
	
	//@NotBlank(message = "菜单ID，不可为空")
	@ApiModelProperty(value = "菜单ID", example = "123")
	private String menuId; // 菜单ID
	
	@ApiModelProperty(value = "页面ID", example = "123")
	private String pageId;	// 页面ID

	//@NotBlank(message = "功能编码，不可为空")
	@ApiModelProperty(value = "功能编码", example = "456")
	private String funCode; // 功能编码

	@NotBlank(message = "功能名称，不可为空")
	@ApiModelProperty(value = "功能名称", example = "测试功能名称")
	private String funName; // 功能名称
	
	//@NotBlank(message = "功能URL，不可为空")
	@ApiModelProperty(value = "功能URL", example = "http://127.0.0.1:8080/test.png")
	private String funUrl;	// 功能URL

	@NotNull(message = "功能顺序，不可为空")
	@ApiModelProperty(value = "功能顺序", example = "1")
	private Integer funSort; // 功能顺序

	@ApiModelProperty(value = "备注", example = "测试功能点")
	private String remark; // 备注

}
