package com.persagy.account.pojo.vo.product;

import javax.validation.constraints.NotBlank;

import com.persagy.common.model.BaseGroupModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021年5月7日 下午2:26:09
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasProjectProductCreateVO extends BaseGroupModel {
	
	@NotBlank(message = "集团签约ID，不可为空")
	@ApiModelProperty(value = "集团签约ID", example = "GP1001")
	private String contractId; //集团签约ID
	
	@NotBlank(message = "项目ID，不可为空")
	@ApiModelProperty(value = "项目ID", example = "Pj1001")
	private String projectId; // 项目ID

	@NotBlank(message = "产品ID，不可为空")
	@ApiModelProperty(value = "产品ID", example = "PD1001")
	private String productId; // 产品ID
	
	@ApiModelProperty(value = "备注", example = "测试")
	private String remark; // 备注
	
}
