package com.persagy.account.pojo.vo.project;

import java.util.Date;

import javax.validation.constraints.NotBlank;

import com.persagy.common.model.BaseGroupModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 项目信息
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasProjectCreateVO extends BaseGroupModel {

	@ApiModelProperty(value = "主键ID，更新时，不可为空", example = "123456adzxzc")
	private String id; 	// 主键ID
	
	@NotBlank(message = "项目ID，不可为空")
	@ApiModelProperty(value = "项目ID", example = "Pj123456789", required = true)
	private String projectId; 	// 项目ID，与集团编码联合唯一，业务保证

	//@NotBlank(message = "区域ID，不可为空")
	@ApiModelProperty(value = "项目所属区域", example = "123456")
	private String areaId; 		// 项目所属区域，必须为最底层的区域

	@NotBlank(message = "项目本地编码，不可为空")
	@ApiModelProperty(value = "项目本地编码", example = "123456789", required = true)
	private String projectLocalId; // 项目本地编码

	@NotBlank(message = "项目名称，不可为空")
	@ApiModelProperty(value = "项目名称，支持模糊查询", example = "测试项目", required = true)
	private String projectName; // 项目名称
	
	//@NotBlank(message = "项目所在省，不可为空")
	@ApiModelProperty(value = "项目所在省", example = "123456789")
	private String provinceCode; //项目所在省

	//@NotBlank(message = "项目所在市，不可为空")
	@ApiModelProperty(value = "项目所在市", example = "123456789")
	private String cityCode;	//项目所在市
	
	//@NotBlank(message = "项目所在区，不可为空")
	@ApiModelProperty(value = "项目所在区", example = "123456789")
	private String zoneCode;	//项目所在区
	
	//@NotBlank(message = "项目详细地址，不可为空")
	@ApiModelProperty(value = "项目详细地址", example = "123456789")
	private String location;	//项目详细地址
	
	//@NotBlank(message = "项目开业时间，不可为空")
	@ApiModelProperty(value = "项目开业时间", example = "123456789")
	private Date openTime;	//项目开业时间

	@ApiModelProperty(value = "备注信息", example = "测试项目")
	private String remark; // 备注
	
}
