package com.persagy.account.pojo.vo.project;

import java.util.Date;
import java.util.Set;

import com.persagy.common.constant.SaasCommonConstant;
import com.persagy.common.model.BaseUserModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 项目信息
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasProjectQueryVO extends BaseUserModel {

	@ApiModelProperty(value = "集团编码，作为SQL条件", required = true, example = "RC")
	private String groupCode; 	// 所属集团编码
	
	@ApiModelProperty(value = "主键ID", example = "123456adzxzc")
	private String id; 	// 主键ID
	
	@ApiModelProperty(value = "项目ID", example = "Pj123456789")
	private String projectId; 	// 项目ID

	@ApiModelProperty(value = "项目ID集合，最大999", example = "Pj123456789")
	private Set<String> projectIds; 	// 项目ID集合
	
	@ApiModelProperty(value = "项目所属区域", example = "123456")
	private String areaId; 		// 项目所属区域，必须为最底层的区域

	@ApiModelProperty(value = "项目本地编码", example = "123456789")
	private String projectLocalId; // 项目本地编码

	@ApiModelProperty(value = "项目名称，支持模糊查询", example = "测试项目")
	private String projectName; // 项目名称

	@ApiModelProperty(value = "项目所在省", example = "123456789")
	private String provinceCode; //项目名所在省

	@ApiModelProperty(value = "项目所在市", example = "123456789")
	private String cityCode;	//项目名所在市
	
	@ApiModelProperty(value = "项目所在区", example = "123456789")
	private String zoneCode;	//项目名所在区
	
	@ApiModelProperty(value = "项目开业时间", example = "123456789")
	private Date openTime;	//项目开业时间
	
	@ApiModelProperty(value = "最后一次操作者ID", example = "zhangsan")
	private String updateUser; // 最后一次操作者ID

	@ApiModelProperty(value = "是否展示空的区域信息，即不存在项目的空区域", example = "zhangsan")
	private Boolean showEmptyArea = true; 	// 是否展示空的区域信息，即不存在项目的空区域
	
	private Integer valid = SaasCommonConstant.STATUS_1; // 0-不可用，1-可用

}
