package com.persagy.account.pojo.vo.role;

import java.util.Set;

import com.persagy.common.constant.SaasCommonConstant;
import com.persagy.common.model.BaseUserModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 角色信息
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasRoleQueryVO extends BaseUserModel {
	
	@ApiModelProperty(value = "集团编码，作为SQL条件", required = true, example = "RC")
	private String groupCode; 	// 所属集团编码

	@ApiModelProperty(value = "角色ID", example = "1001")
	private String id; 			// 角色ID

	@ApiModelProperty(value = "角色ID集合", example = "1001")
	private Set<String> roleIds; // 角色ID集合
	
	@ApiModelProperty(value = "角色编码", example = "1001")
	private String roleCode; 	// 角色编码

	@ApiModelProperty(value = "角色名称，支持模糊查询", example = "zhangsan")
	private String roleName; 	// 角色名称

	@ApiModelProperty(value = "角色类型，0-系统角色，1-业务角色, 2-业务超管默认角色", example = "zhangsan")
	private String roleType; 	// 角色类型，0-系统角色，1-业务角色, 2-业务超管默认角色

	@ApiModelProperty(value = "角色类型，0-系统角色，1-业务角色, 2-业务超管默认角色", example = "zhangsan")
	private Set<String> roleTypes; 	// 角色类型，0-系统角色，1-业务角色, 2-业务超管默认角色
	
	@ApiModelProperty(value = "最后一次操作者ID", example = "zhangsan")
	private String updateUser; 	// 最后一次操作者ID

	@ApiModelProperty(value = "是否统计菜单数量，true-统计，默认false", example = "false")
	private boolean countMenu = false; // 是否统计菜单数量，true-统计，默认false
	
	@ApiModelProperty(value = "是否统计功能点数量，true-统计，默认false", example = "false")
	private boolean countFunction = false; // 是否统计功能点数量，true-统计，默认false

	@ApiModelProperty(value = "是否按照超级管理员第一位，其余账号顺延的规则排序，true-是，默认false", example = "false")
	private boolean adminOrder = false; // 是否按照超级管理员第一位，其余账号顺延的规则排序
	
	private Integer valid = SaasCommonConstant.STATUS_1; // 0-不可用，1-可用

}
