package com.persagy.account.pojo.vo.thirty;

import javax.validation.constraints.NotBlank;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 申请授权码
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021年4月27日 下午3:12:45
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasCodeVO {
	
	@NotBlank(message = "客户端ID，不可为空")
	@ApiModelProperty(value = "客户端ID", required = true, example = "13546545")
	private String clientId; 	// 客户端ID
	
	@ApiModelProperty(value = "重定向URL", example = "http://127.0.0.1:8080/test")
	private String redirectUrl;	// 重定向URL
	
}
