package com.persagy.account.service;

import java.util.List;

import com.persagy.common.service.ISuperService;
import com.persagy.account.pojo.dto.SaasAccountRole;
import com.persagy.account.pojo.vo.auth.SaasAccountRoleVO;

/**
 * 账号-角色关联信息
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
public interface ISaasAccountRoleService extends ISuperService<SaasAccountRole> {

	/**
	 * 验证此角色是否允许被删除
	 * 
	 * @param groupCode
	 * @param roleId
	 * @return true-允许
	 */
	boolean isAllowDeleteRole(String groupCode, String roleId);

	/**
	 * 先删除，在新增，批量插入账号角色关联关系
	 * 
	 * @param groupCode
	 * @param accountId
	 * @param casType
	 * @param roles
	 * @return
	 */
	boolean resetSaasAccountRole(String groupCode, String accountId, String casType, List<SaasAccountRoleVO> roles);

	/**
	 * 添加默认的业务超管账号与业务超管默认角色的关联关系
	 * 
	 * @param accountId
	 * @param groupCode
	 * @return
	 */
	boolean addDeafultAccountRole(String accountId, String groupCode);

}

