package com.persagy.account.service.impl;

import java.util.List;

import org.springframework.stereotype.Service;

import com.persagy.common.service.impl.SuperServiceImpl;
import com.persagy.common.utils.StringUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.persagy.account.mapper.SaasFunctionMapper;
import com.persagy.account.pojo.dto.SaasFunction;
import com.persagy.account.service.ISaasFunctionService;

/**
 * 功能信息
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Service
public class SaasFunctionServiceImpl extends SuperServiceImpl<SaasFunctionMapper, SaasFunction> implements ISaasFunctionService {

	@Override
	public List<SaasFunction> queryAccountFunctionList(String accountId, String groupCode, String menuId) {
		return this.baseMapper.queryAccountFunctionList(accountId, groupCode, menuId);
	}

	@Override
	public List<SaasFunction> queryRoleFunctionList(String groupCode, String roleId, String menuId, String pageId) {
		return this.baseMapper.queryRoleFunctionList(groupCode, roleId, menuId, pageId);
	}

	@Override
	public boolean validFunCode(String menuId, String pageId, String funCode, String funId) {
		if (StringUtil.isNotBlank(menuId)) {
			LambdaQueryWrapper<SaasFunction> queryWrapper = new SaasFunction.Builder().createQueryWrapper().menuIdEq(menuId).funCodeEq(funCode).builderQueryWrapper();
			SaasFunction selectOne = this.baseMapper.selectOne(queryWrapper);
			if (selectOne != null && (StringUtil.isBlank(funId) || !funId.equals(selectOne.getId()))) {
				return false;
			}
		}
		if (StringUtil.isNotBlank(pageId)) {
			LambdaQueryWrapper<SaasFunction> queryWrapper = new SaasFunction.Builder().createQueryWrapper().pageIdEq(pageId).funCodeEq(funCode).builderQueryWrapper();
			SaasFunction selectOne = this.baseMapper.selectOne(queryWrapper);
			if (selectOne != null && (StringUtil.isBlank(funId) || !funId.equals(selectOne.getId()))) {
				return false;
			}
		}
		return true;
	}

	@Override
	public List<SaasFunction> queryProductPageFunctions(String accountId, String menuId, String pageId) {
		return this.baseMapper.queryProductPageFunctions(accountId, menuId, pageId);
	}

}
