package com.persagy.account.service.impl;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.toolkit.SqlHelper;
import com.persagy.common.constant.SaasCommonConstant;
import com.persagy.common.service.impl.SuperServiceImpl;
import com.persagy.account.mapper.SaasRoleMenuMapper;
import com.persagy.account.pojo.dto.SaasRoleMenu;
import com.persagy.account.pojo.vo.auth.SaasMenuFunctionPageVO;
import com.persagy.account.pojo.vo.auth.SaasMenuFunctionVO;
import com.persagy.account.service.ISaasRoleMenuService;

/**
 * 角色-菜单功能关联信息
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Service
public class SaasRoleMenuServiceImpl extends SuperServiceImpl<SaasRoleMenuMapper, SaasRoleMenu> implements ISaasRoleMenuService {

	@Override
	@Transactional
	public boolean batchCreateSaasRoleMenu(String groupCode, String roleId, List<SaasMenuFunctionVO> auths) {
		Integer result = this.baseMapper.batchCreateSaasRoleMenu(groupCode, roleId, auths);
		return SqlHelper.retBool(result);
	}
	
	@Override
	@Transactional
	public boolean batchCreateSaasRoleMenuPage(String groupCode, String roleId, List<SaasMenuFunctionPageVO> auths) {
		Integer result = this.baseMapper.batchCreateSaasRoleMenuPage(groupCode, roleId, auths);
		return SqlHelper.retBool(result);
	}

	@Override
	public boolean isAllowDeleteMenu(String groupCode, String menuId) {
		Integer result = this.baseMapper.isAllowDeleteMenu(groupCode, menuId, SaasCommonConstant.STATUS_1);
		if (result == null || result < 1) {
			return true;
		}
		return false;
	}

	@Override
	public int countMenu(String roleId) {
		Integer count = this.baseMapper.countMenu(roleId);
		return count == null ? 0 : count;
	}
	
	@Override
	public int countFunction(String roleId, String menuId) {
		LambdaQueryWrapper<SaasRoleMenu> queryWrapper = new SaasRoleMenu.Builder().createQueryWrapper().roleIdEq(roleId).menuIdEq(menuId).builderQueryWrapper();
		queryWrapper.last("AND FUNCTION_ID IS NOT NULL AND TRIM(FUNCTION_ID) != ''");
		Integer count = this.baseMapper.selectCount(queryWrapper);
		return count == null ? 0 : count;
	}

}
