package com.persagy.common.model;

import javax.validation.constraints.NotBlank;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @version 
 * @description 基础类，所有请求必带参数
 * @company persagy
 * @author zhangqiankun
 * @since 2020年11月25日:	下午8:02:38
 */
@Getter
@Setter
@ApiModel
@ToString(callSuper = true)
public class BaseProjectModel extends BaseGroupModel {
	
	@NotBlank(message = "项目ID，不可为空")
	@ApiModelProperty(value = "项目ID，作为SQL条件", required = true, example = "Pj584152415")
	private String projectId; 	// 所属项目ID
	
}
