package com.persagy.sso.controller;

import cn.hutool.core.collection.CollectionUtil;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.google.common.collect.Lists;
import com.persagy.common.utils.ResponseResult;
import com.persagy.common.utils.ResponseResultUtil;
import com.persagy.sso.pojo.dto.WdUser;
import com.persagy.sso.service.IUserService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

/**
 * 
 * 
 * @version 1.0.0
 * @company xgq
 * @author zhangqiankun
 * @date 2021-04-13 14:55:06
 */
@Api(tags = "对接用户信息,仅做测试")
@RestController
@RequestMapping(value = "/wdUser", method = RequestMethod.POST)
public class UserController {
    @Autowired
    private IUserService wdUserService;

    /**
     * 列表查询
     */
    @ApiOperation(value = "用户信息列表查询")
    @RequestMapping(value = "queryWdUserList")
    public ResponseResult queryWdUserList(@RequestBody WdUser wdUser) {
    	WdUser.Builder builder = new WdUser.Builder().createQueryWrapper();
    	LambdaQueryWrapper<WdUser> queryWrapper =  builder.builderQueryWrapper();
    	List<WdUser> list = this.wdUserService.list(queryWrapper);
    	if (CollectionUtil.isEmpty(list)) {
			return ResponseResultUtil.successResult(Lists.newArrayList(), 0L);
		}
        return ResponseResultUtil.successResult(list, (long)list.size());
    }

    /**
     * 新增
     */
	@ApiOperation(value = "保存用户信息")
	@RequestMapping(value = "createWdUser")
    public ResponseResult createWdUser() {
        wdUserService.createWdUser();
        return ResponseResultUtil.successResult(new ArrayList<>());
    }
    /**
     * 更新
     */
	@ApiOperation(value = "更新用户信息")
//	@RequestMapping(value = "updateWdUser")
    public ResponseResult updateWdUser(@RequestBody WdUser wdUser) {
        boolean result = this.wdUserService.updateById(wdUser);
        return result ? ResponseResultUtil.successResult("更新成功") : ResponseResultUtil.errorResult("更新失败");
    }
    
}
