package com.persagy.sso.pojo.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.minidev.json.annotate.JsonIgnore;
import org.hibernate.validator.constraints.Length;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * 创建和更新人员基类
 *
 * @author lixing
 * @version V1.0 2021/3/23 11:09 上午
 **/
@Data
public class AddPersonDTO {

    @ApiModelProperty(value = "id")
    private String id;

    @Length(max = 50, message = "工号长度不能大于50")
    @ApiModelProperty(value = "工号")
    private String jobNumber;

    @ApiModelProperty(value = "姓名", required = true)
    @Length(max = 20, message = "姓名长度不能大于20")
    private String name;

    @ApiModelProperty(value = "性别")
    private Integer gender;

    @Length(max = 30, message = "账号长度不能大于30")
    @ApiModelProperty(value = "账号", required = true)
    @NotNull(message = "账号不能为空")
    private String username;

  //  @NotEmpty(message = "部门不能为空")
    @ApiModelProperty(value = "所属部门id", required = true)
    private List<String> depIds;

    //@NotEmpty(message = "项目权限不能为空")
   // @ApiModelProperty(value = "关联的项目", required = true)
   // private List<UpsertSaasProjectDTO> projects;

    @ApiModelProperty(value = "主岗")
    private String mainDuty;

    @ApiModelProperty(value = "副岗")
    private List<String> otherDuties;


    @ApiModelProperty("登录权限(年.月.日)")
    private Date expireDate;

    /**
     * 账号来源
     */
    @JsonIgnore
    private String userFrom;

    /**
     * 账号id
     */
    @JsonIgnore
    private String accountId;
}
