package com.persagy.sso.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import org.springframework.stereotype.Service;

import com.persagy.common.service.impl.SuperServiceImpl;
import com.persagy.sso.mapper.AccountReflexMapper;
import com.persagy.sso.pojo.dto.AccountReflex;
import com.persagy.sso.service.IAccountReflexService;

/**
 * 
 * 
 * @version 1.0.0
 * @company persagy 
 * @author xgq
 * @date 2021-04-16 00:32:26
 */
@Service
public class AccountReflexServiceImpl extends SuperServiceImpl<AccountReflexMapper, AccountReflex> implements IAccountReflexService {

    /**
     * @Description: 根据条件查询
     * @Author: xgq
     * @Date: 2021/4/16 1:11
     * @param employeeId :
     * @param token
     * @return: java.util.List<com.persagy.sso.pojo.dto.AccountReflex>
     **/
    @Override
    public AccountReflex queryByCondition(String employeeId) {
        LambdaQueryWrapper<AccountReflex> queryWrapper = new AccountReflex.Builder()
                .createQueryWrapper().oaAccountIdEq(employeeId).builderQueryWrapper();
        return baseMapper.selectOne(queryWrapper);
    }
}
