package com.persagy.sso.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import org.springframework.stereotype.Service;

import com.persagy.common.service.impl.SuperServiceImpl;
import com.persagy.sso.mapper.DeptReflexMapper;
import com.persagy.sso.pojo.dto.DeptReflex;
import com.persagy.sso.service.IDeptReflexService;

/**
 * 
 * 
 * @version 1.0.0
 * @company persagy 
 * @author xgq
 * @date 2021-04-15 21:48:53
 */
@Service
public class DeptReflexServiceImpl extends SuperServiceImpl<DeptReflexMapper, DeptReflex> implements IDeptReflexService {

    @Override
    public DeptReflex queryByCondition(String oaDeptId) {
        LambdaQueryWrapper<DeptReflex> queryWrapper = new DeptReflex.Builder()
                .createQueryWrapper().oaDeptIdEq(oaDeptId).builderQueryWrapper();
        return baseMapper.selectOne(queryWrapper);
    }


    @Override
    public int updateDept(DeptReflex deptReflex) {
        return baseMapper.updateById(deptReflex);
    }
}
