package com.persagy.sso.service.impl;

import com.persagy.common.utils.ResponseResult;
import com.persagy.sso.client.FmPersonClient;
import com.persagy.sso.pojo.dto.AddDepartmentDTO;
import com.persagy.sso.pojo.dto.IdDTO;
import com.persagy.sso.pojo.dto.QueryDeptDTO;
import com.persagy.sso.service.IDeptService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @ClassName : DeptService
 * @Author ：xgq
 * @Date ：Created in 2021/4/13 22:46
 * @Description： TODO
 * @Version : 1.0
 */
@Slf4j
@Service
public class DeptService implements IDeptService {


    @Autowired
    private FmPersonClient fmPersonClient;
   /**
    * @Description: 保存部门信息
    * @Author: xgq
    * @Date: 2021/4/13 22:48
    * @param addDepartmentDTO :
    * @param token
    * @return: void
    **/
    @Override
    public ResponseResult saveDept(AddDepartmentDTO addDepartmentDTO, String token) {
     //feign调用，保存部门信息
      return   fmPersonClient.saveDept(addDepartmentDTO,token);
    }

    /**
     * @Description: 删除部门信息
     * @Author: xgq
     * @Date: 2021/4/13 23:24
     * @param idDTO :
     * @return: void
     **/
    @Override
    public ResponseResult deleteDept(IdDTO idDTO) {
        //feign调用，保存部门信息
        return   fmPersonClient.deleteDept(idDTO);
    }


    /**
     * @Description: 根据id查询部门信息
     * @Author: xgq
     * @Date: 2021/4/15 1:36
     * @param idDTO:
     * @return: com.persagy.common.utils.ResponseResult
     **/
    @Override
    public ResponseResult queryDeptById(IdDTO idDTO) {
        return fmPersonClient.queryDeptById(idDTO);
    }

    /**
     * @Description: 更新部门信息
     * @Author: xgq
     * @Date: 2021/4/15 1:42
     * @param addDepartmentDTO :
     * @param token
     * @return: com.persagy.common.utils.ResponseResult
     **/
    @Override
    public ResponseResult updateDept(AddDepartmentDTO addDepartmentDTO, String token) {
        return fmPersonClient.updateDept(addDepartmentDTO,token);
    }

    /**
     * @Description: 根据条件查询部门信息
     * @Author: xgq
     * @Date: 2021/4/15 19:56
     * @param queryDeptDTO :
     * @param token
     * @return: com.persagy.common.utils.ResponseResult
     **/
    @Override
    public ResponseResult queryDeptByCondition(QueryDeptDTO queryDeptDTO, String token) {
        return fmPersonClient.queryGroupDept(queryDeptDTO,token);
    }

}
